Loading
Java Persistence API (JPA) Extensions Reference for EclipseLink, Release 2.4
  Go To Table Of Contents
Contents
 Search
Other Searches
 PDF
PDF
Comments
Comments


jpql.validation

Use eclipselink.jpql.parser to configure the JPQL parser validation level to be configured.


Values

Table 5-51 describes this persistence property's values.

Table 5-51 Valid Values for jpql.validation

Value Description

EclipseLink

(Default) Allows EclipseLink JPAL extensions.

JPA 1.0

Allows valid JPA 1.0 JPQL only.

JPA 2.0

Allows valid JPA 2.0 JPQL only.

JPA 2.1

Allows valid JPA 2.1 JPQL only.

None

No JPQL validation.



Usage

This parameter applies only when eclipselink.jpql.parser is HermesParser.


Examples


See Also

For more information, see:

Comments powered by Disqus